Loading...
Searching...
No Matches
XrdOfsFSctl_PI Class Referenceabstract

`#include <XrdOfsFSctl_PI.hh>`

Inheritance diagram for XrdOfsFSctl_PI:
Collaboration diagram for XrdOfsFSctl_PI:

## Classes

struct | Plugins
| The Plugins struct is used to pass plugin pointers to configure. More...

## Public Member Functions

| XrdOfsFSctl_PI ()
| Constructor.
virtual | ~XrdOfsFSctl_PI ()
| Destructor.
virtual bool | Configure (const char *CfgFN, const char *Parms, XrdOucEnv *envP, const Plugins &plugs)
virtual int | FSctl (const int cmd, int alen, const char *args, XrdSfsFile &file, XrdOucErrInfo &eInfo, const XrdSecEntity *client=0)=0
virtual int | FSctl (const int cmd, XrdSfsFSctl &args, XrdOucErrInfo &eInfo, const XrdSecEntity *client=0)=0

## Protected Attributes

XrdSysError * | eDest
XrdOfsFSctl_PI * | prvPI

## Friends

class | XrdOfsConfigPI

## Detailed Description

Definition at line 51 of file XrdOfsFSctl_PI.hh.

## Class Documentation

## XrdOfsFSctl_PI::Plugins

struct XrdOfsFSctl_PI::Plugins

The Plugins struct is used to pass plugin pointers to configure.

Definition at line 60 of file XrdOfsFSctl_PI.hh.

Collaboration diagram for XrdOfsFSctl_PI::Plugins:

Class Members
XrdAccAuthorize * | autPI | -> Authorization plugin
XrdCmsClient * | cmsPI | -> Cms client object generator plugin
XrdOss * | ossPI | -> Oss plugin
XrdSfsFileSystem * | sfsPI | -> Sfs plugin (a.k.a. ofs)

## Constructor & Destructor Documentation

## XrdOfsFSctl_PI()

XrdOfsFSctl_PI::XrdOfsFSctl_PI | ( |  | ) |

inline

Constructor.

Definition at line 136 of file XrdOfsFSctl_PI.hh.

: prvPI(0), eDest(0) {}
XrdOfsFSctl_PI::prvPI
XrdOfsFSctl_PI * prvPI
Definition XrdOfsFSctl_PI.hh:146
XrdOfsFSctl_PI::eDest
XrdSysError * eDest
Definition XrdOfsFSctl_PI.hh:148

References eDest, and prvPI.

## ~XrdOfsFSctl_PI()

virtual XrdOfsFSctl_PI::~XrdOfsFSctl_PI | ( |  | ) |

inline virtual

Destructor.

Definition at line 142 of file XrdOfsFSctl_PI.hh.

{}

## Member Function Documentation

## Configure()

virtual bool XrdOfsFSctl_PI::Configure | ( | const char * | CfgFN,
|  | const char * | Parms,
|  | XrdOucEnv * | envP,
|  | const Plugins & | plugs )

inline virtual

Configure plugin.

Parameters

  CfgFN | - Path of the configuration file.
  Parms | - Any parameters specified on the directive (may be null).
  envP | - Pointer to environmental information
  plugs | - Reference to the struct containing plugin pointers. Unloaded plugins have a nil pointer.

Returns
  True upon success and false otherwise.

Reimplemented in XrdPfcFSctl.

Definition at line 79 of file XrdOfsFSctl_PI.hh.

{return true;}

## FSctl() [1/2]

virtual int XrdOfsFSctl_PI::FSctl | ( | const int | cmd,
|  | int | alen,
|  | const char * | args,
|  | XrdSfsFile & | file,
|  | XrdOucErrInfo & | eInfo,
|  | const XrdSecEntity * | client = 0 )

pure virtual

Perform a file control operation

Parameters

  cmd | - The operation to be performed: SFS_FCTL_SPEC1 Return Implementation Dependent Data
  alen | - The length of args.
  args | - Arguments specific to cmd. SFS_FCTL_SPEC1 Unscreened args string.
  file | - Reference to the target file object.
  eInfo | - The object where error info or results are to be returned.
  client | - Client's identify (see common description).

Returns
  SFS_OK a null response is sent. SFS_DATA error.code length of the data to be sent. error.message contains the data to be sent. o/w one of SFS_ERROR, SFS_REDIRECT, or SFS_STALL.

Implemented in XrdPfcFSctl.

## FSctl() [2/2]

virtual int XrdOfsFSctl_PI::FSctl | ( | const int | cmd,
|  | XrdSfsFSctl & | args,
|  | XrdOucErrInfo & | eInfo,
|  | const XrdSecEntity * | client = 0 )

pure virtual

Perform a filesystem control operation (version 2)

Parameters

  cmd | - The operation to be performed: SFS_FSCTL_PLUGIN Return Implementation Dependent Data v1 SFS_FSCTL_PLUGIO Return Implementation Dependent Data v2
  args | - Arguments specific to cmd. SFS_FSCTL_PLUGIN path and opaque information, fileP == 0 SFS_FSCTL_PLUGIO Unscreened argument string, fileP == 0
  eInfo | - The object where error info or results are to be returned.
  client | - Client's identify (see common description).

Returns
  SFS_OK a null response is sent. SFS_DATA error.code length of the data to be sent. error.message contains the data to be sent. o/w one of SFS_ERROR, SFS_REDIRECT, or SFS_STALL.

Implemented in XrdPfcFSctl.

## Friends And Related Symbol Documentation

## XrdOfsConfigPI

friend class XrdOfsConfigPI

friend

Definition at line 54 of file XrdOfsFSctl_PI.hh.

References XrdOfsConfigPI.

Referenced by XrdOfsConfigPI.

## Member Data Documentation

## eDest

XrdSysError* XrdOfsFSctl_PI::eDest

protected

Definition at line 148 of file XrdOfsFSctl_PI.hh.

Referenced by XrdOfsFSctl_PI().

## prvPI

XrdOfsFSctl_PI* XrdOfsFSctl_PI::prvPI

protected

Definition at line 146 of file XrdOfsFSctl_PI.hh.

Referenced by XrdOfsFSctl_PI().

The documentation for this class was generated from the following file:

- XrdOfsFSctl_PI.hh